#-------------------------------------------------
#
# Project created by QtCreator 2017-09-20T08:24:22
#
#-------------------------------------------------

QT       += widgets network

TARGET = QgScope
TEMPLATE = lib
CONFIG += staticlib

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += qgscope.cpp \
    qgscopeworkbench.cpp \
    qgscopemainwindow.cpp \
    qgloggerdockwidget.cpp \
    qgscopechrono.cpp \
    qglogger.cpp \
    qgscopeobject.cpp \
    qgscopedevice.cpp \
    qgscopeobjectdockwidget.cpp \
    qgpropertywidget.cpp \
    qgscopechannel.cpp \
    qgpythonconsoledockwidget.cpp \
    qgscopepython.cpp \
    qgrunsession.cpp \
    qgnetworkconnectiondialog.cpp \
    qgapplicationperformance.cpp \
    qgaboutdialog.cpp \
    qgnetworkinterface.cpp \
    qgpythonsandbox.cpp \
    qgsettings.cpp

HEADERS += qgscope.h \
    qgscopeworkbench.h \
    qgscopemainwindow.h \
    qgloggerdockwidget.h \
    qgscopechrono.h \
    qglogger.h \
    qgscopeobject.h \
    qgscopedevice.h \
    qgscopeobjectdockwidget.h \
    qgpropertywidget.h \
    qgscopechannel.h \
    qgpythonconsoledockwidget.h \
    qgscopepython.h \
    qgrunsession.h \
    qgnetworkconnectiondialog.h \
    qgapplicationperformance.h \
    qgaboutdialog.h \
    qgnetworkinterface.h \
    qgpythonsandbox.h \
    qgsettings.h
unix {
    target.path = /usr/lib
    INSTALLS += target
}

FORMS += \
    qgscopemainwindow.ui \
    qgloggerdockwidget.ui \
    qgscopeobjectdockwidget.ui \
    qgpythonconsoledockwidget.ui \
    qgnetworkconnectiondialog.ui

#include($$PWD/qgpython.pri)
INCLUDEPATH += $$PWD/../QgPython

INCLUDEPATH += $$PWD/../QtADS

